Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wsc
Interface ContextFactory

public interface ContextFactory

Method Summary
`com.arjuna.webservices.wscoor.CoordinationContextType` | `create(java.lang.String coordinationTypeURI, java.lang.Long expires, com.arjuna.webservices.wscoor.CoordinationContextType currentContext)` Creates a coordination context.
`void` | `install(java.lang.String coordinationTypeURI)` Called when a context factory is added to a context factory mapper.
`void` | `uninstall(java.lang.String coordinationTypeURI)` Called when a context factory is removed from a context factory mapper.

Method Detail

### install

    public void install(java.lang.String coordinationTypeURI)

  Called when a context factory is added to a context factory mapper. This method will be called multiple times if the context factory is added to multiple context factory mappers or to the same context mapper with different protocol identifiers.

  Parameters:
    `coordinationTypeURI` - the coordination type uri

### create

    public com.arjuna.webservices.wscoor.CoordinationContextType create(java.lang.String coordinationTypeURI,
                                                                        java.lang.Long expires,
                                                                        com.arjuna.webservices.wscoor.CoordinationContextType currentContext)
                                                                 throws InvalidCreateParametersException

  Creates a coordination context.

  Parameters:
    `coordinationTypeURI` - the coordination type uri
    `expires` - the expire date/time for the returned context, can be null
    `currentContext` - the current coordination context, can be null
  Returns:
    the created coordination context
  Throws:
    `InvalidCreateParametersException` - if a parameter passed is invalid this activity identifier

### uninstall

    public void uninstall(java.lang.String coordinationTypeURI)

  Called when a context factory is removed from a context factory mapper. This method will be called multiple times if the context factory is removed from multiple context factory mappers or from the same context factory mapper with different coordination type uris.

  Parameters:
    `coordinationTypeURI` - the coordination type uri

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD